Bug 1469333 - Notifications: "Clear All" and "Mark All Read" options disappear from notification list sometimes
Notifications: "Clear All" and "Mark All Read" options disappear from notific...
Status: CLOSED CANTFIX
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: cfme-future
Assigned To: Allen W
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 21:34 EDT by Shveta
Modified: 2017-07-12 14:17 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-12 14:15:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
No footer options (174.96 KB, image/png)
2017-07-10 23:00 EDT, Shveta
no flags Details
Options shown (145.58 KB, image/png)
2017-07-10 23:01 EDT, Shveta
no flags Details
notifications are broken up by category, not missing the clear all footer for any category... (591.86 KB, image/png)
2017-07-11 07:21 EDT, Allen W
no flags Details

  None (edit)
Description Shveta 2017-07-10 21:34:37 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create some events in SUI so that notification list shows them.
2. Open the notification list "Clear All" and "Mark all read" options do not show on scrolling down to the bottom . delete some events from the top , They start showing .
3.

Actual results:


Expected results:


Additional info:
Comment 2 Chris Kacerguis 2017-07-10 22:35:30 EDT
Could we get a Screenshot or video of the behavior please :)
Comment 3 Shveta 2017-07-10 23:00 EDT
Created attachment 1296041 [details]
No footer options

Login and see notifications .
There should be enough notification to scroll down.
No "Clear All" or "Mark All Read" options.
Comment 4 Shveta 2017-07-10 23:01 EDT
Created attachment 1296042 [details]
Options shown

Go fullscreen or delete few events from top .
Options start showing.
Comment 5 Allen W 2017-07-11 07:19:57 EDT
Gonna do the hard ask and request a vm, on latest master not seeing this bug, (also the notifications are structured differently) will upload attachment...
Comment 6 Allen W 2017-07-11 07:21 EDT
Created attachment 1296180 [details]
notifications are broken up by category, not missing the clear all footer for any category...
Comment 7 Shveta 2017-07-11 13:37:58 EDT
@Allen : please check https://10.8.197.236/ui/service.
Comment 8 Allen W 2017-07-12 11:16:39 EDT
Okie dokie, verified, a fine only bug, gonna start working on this now.
Comment 9 Chris Kacerguis 2017-07-12 11:16:53 EDT
A Pivotal Tracker story has been created for this Bug: https://www.pivotaltracker.com/story/show/148757457
Comment 10 Allen W 2017-07-12 14:11:53 EDT
I have good news and bad news with regards to this issue...

GOOD news, verified! and understood! In fact a github issue was made to the offending repo: https://github.com/patternfly/angular-patternfly/issues/518

BAD news, its not an sui issue, its an angular patternfly issue :-/
A few quick fixes were tried, but no bueno, gotta go to the source to address this correctly
Comment 11 Allen W 2017-07-12 14:12:02 EDT
I have good news and bad news with regards to this issue...

GOOD news, verified! and understood! In fact a github issue was made to the offending repo: https://github.com/patternfly/angular-patternfly/issues/518

BAD news, its not an sui issue, its an angular patternfly issue :-/
A few quick fixes were tried, but no bueno, gotta go to the source to address this correctly
Comment 12 Chris Kacerguis 2017-07-12 14:17:08 EDT
Chris Kacerguis deleted the linked story in Pivotal Tracker

Note You need to log in before you can comment on or make changes to this bug.